import { defineStore } from 'pinia'

// interface user {
//   name: string,
//   token: string
// }
// type userType = user

export const loginStore = defineStore('login', {
  state: () => ({
    isAuthenticated: false,
    user: {
      name: localStorage.getItem('username') || '',
      token: localStorage.getItem('token') || ''
    }
  }),
  getters: {
    getAuthenticated: (state) => state.isAuthenticated,
    getUser: (state) => state.user
  },
  actions: {
    // 修改当前登录的状态
    setAuth (isAuth: boolean) {
      if (isAuth) {
        this.isAuthenticated = true
      } else {
        this.isAuthenticated = false
      }
      localStorage.setItem('isAuth', String(this.isAuthenticated))
    },
    // 获取用户信息
    setUser (user: any) {
      if (user) {
        this.user = user
        localStorage.setItem('token', this.user.token)
      } else {
        this.user = {
          name: '',
          token: ''
        }
      }
    },
    // 清楚token
    clearToken () {
      this.user.token = ''
      localStorage.removeItem('token')
    }
  }
})
